Commit 8463052c authored by Jan Möbius's avatar Jan Möbius

Removed check for Qt less than 5

parent ea2de46f
......@@ -56,10 +56,6 @@
#include <OpenFlipper/BasePlugin/PluginFunctions.hh>
#include <OpenFlipper/common/GlobalOptions.hh>
#if QT_VERSION >= 0x050000
#else
#include <QtGui>
#endif
void PrintPlugin::pluginsInitialized()
{
......@@ -123,7 +119,4 @@ void PrintPlugin::slotKeyEvent( QKeyEvent* _event ) {
}
#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2( printplugin , PrintPlugin );
#endif
......@@ -65,9 +65,7 @@ class PrintPlugin : public QObject, BaseInterface, MenuInterface, KeyInterface
Q_INTERFACES(MenuInterface)
Q_INTERFACES(KeyInterface)
#if QT_VERSION >= 0x050000
Q_PLUGIN_METADATA(IID "org.OpenFlipper.Plugins.Plugin-Print")
#endif
signals:
void addMenubarAction(QAction* _action, QString _type );
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment